% CCULO DE LA MEDIA Y LA VARIANZA PARA EL NIVEL DE RUIDO
% A LAS DIFERENTES GANANCIAS SELECCIONABLES

clear all
clc

% Para ganancia x1
Datosx1 = load('Cerox1');
lambda = Datosx1(:,1)./10;
Cerox1 = Datosx1(:,2);
mediax1 = mean(Cerox1);
varx1 = var(Cerox1);

% Para ganancia x4
Datosx4 = load('Cerox4');
Cerox4 = Datosx4(:,2);
mediax4 = mean(Cerox4);
varx4 = var(Cerox4);

% Para ganancia x16
Datosx16 = load('Cerox16');
Cerox16 = Datosx16(:,2);
mediax16 = mean(Cerox16);
varx16 = var(Cerox16);

% Para ganancia x1
Datosx64 = load('Cerox64');
Cerox64 = Datosx64(:,2);
mediax64 = mean(Cerox64);
varx64 = var(Cerox64);

media = [mediax1 mediax4 mediax16 mediax64]
varianza = [varx1 varx4 varx16 varx64]

subplot(2,2,1)
hold on
title('Representacin del nivel de ruido para ganancia x1', 'FontSize', 13)
xlabel('Longitud de onda (nm)')
ylabel('Intensidad (u.a.)')
axis([400 1100 -5 5])
plot(lambda,Cerox1,'-')
subplot(2,2,2)
hold on
title('Representacin del nivel de ruido para ganancia x4', 'FontSize', 13)
xlabel('Longitud de onda (nm)')
ylabel('Intensidad (u.a.)')
axis([400 1100 -3 8])
plot(lambda,Cerox4,'-')
subplot(2,2,3)
hold on
title('Representacin del nivel de ruido para ganancia x16', 'FontSize', 13)
xlabel('Longitud de onda (nm)')
ylabel('Intensidad (u.a.)')
axis([400 1100 19 30])
plot(lambda,Cerox16,'-')
subplot(2,2,4)
hold on
title('Representacin del nivel de ruido para ganancia x64', 'FontSize', 13)
xlabel('Longitud de onda (nm)')
ylabel('Intensidad (u.a.)')
axis([400 1100 110 121])
plot(lambda,Cerox64,'-')